<?php
/**
 * The template for displaying archive pages
 *
 * @package Zentorone
 */

get_header();
?>

<div class="container">
	<div class="row">
		<div class="<?php echo esc_attr( zentorone_column_classes( 'main' ) ); ?>">
			<main id="primary" class="site-main">

				<?php if ( have_posts() ) : ?>

					<header class="page-header mb-4">
						<?php
						the_archive_title( '<h1 class="page-title">', '</h1>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
						?>
					</header><!-- .page-header -->

					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						get_template_part( 'template-parts/content/content', get_post_type() );

					endwhile;

					the_posts_navigation();

				else :

					get_template_part( 'template-parts/content/content', 'none' );

				endif;
				?>

			</main><!-- #main -->
		</div><!-- .col -->

		<?php if ( zentorone_get_option( 'zentorone_global_layout', 'right-sidebar' ) !== 'full-width' && zentorone_get_option( 'zentorone_global_layout', 'right-sidebar' ) !== 'no-sidebar' ) : ?>
			<div class="<?php echo esc_attr( zentorone_column_classes( 'sidebar' ) ); ?> <?php echo esc_attr( ( zentorone_get_option( 'zentorone_global_layout', 'right-sidebar' ) === 'left-sidebar' ) ? 'order-first' : '' ); ?>">
				<?php get_sidebar(); ?>
			</div>
		<?php endif; ?>
	</div><!-- .row -->
</div><!-- .container -->

<?php
get_footer();
